module segment_disp_ctrl
  ( input CLK, RST,
    input [31:0] VAL,
    output [7:0] ANODE,
    output [7:0] CATHODE );

   parameter ColumnCounterBits=10;
   
   kurukuru # ( .CounterBits(ColumnCounterBits) )
   kuru (.CLK(CLK), .RST(RST), .ANODE(ANODE) );

   wire [3:0] 	 DISP_VAL;

   assign DISP_VAL = ( ~ANODE[7] ) ? VAL[31:28] :
		     ( ~ANODE[6] ) ? VAL[27:24] :
		     ( ~ANODE[5] ) ? VAL[23:20] :
		     ( ~ANODE[4] ) ? VAL[19:16] :
		     ( ~ANODE[3] ) ? VAL[15:12] :
		     ( ~ANODE[2] ) ? VAL[11: 8] :
		     ( ~ANODE[1] ) ? VAL[ 7: 4] : VAL[3:0];

   segment_driver sd ( .VAL(DISP_VAL), .CATHODE(CATHODE[6:0]) );

   assign CATHODE[7] = 1'b1;  // no dot is illuminated

endmodule // segment_disp_ctrl


