/* CATHODE[] mapping
 
  ---[6]---
 |         |
[1]       [5]
 |         |
  ---[0]---
 |         |
[2]       [4]
 |         |
  ---[3]---  */

module segment_driver 
  ( input [3:0] VAL,
    output [6:0] CATHODE );

   assign CATHODE = (VAL==4'h0) ? 7'b000_0001 :
		    (VAL==4'h1) ? 7'b100_1111 :
		    (VAL==4'h2) ? 7'b001_0010 :
		    (VAL==4'h3) ? 7'b000_0110 :
		    (VAL==4'h4) ? 7'b100_1100 :
		    (VAL==4'h5) ? 7'b010_0100 :
		    (VAL==4'h6) ? 7'b010_0000 :
		    (VAL==4'h7) ? 7'b000_1111 :
		    (VAL==4'h8) ? 7'b000_0000 :
		    (VAL==4'h9) ? 7'b000_1100 : 
 		    (VAL==4'ha) ? 7'b000_1000 : 
 		    (VAL==4'hb) ? 7'b110_0000 : 
 		    (VAL==4'hc) ? 7'b111_0010 : 
 		    (VAL==4'hd) ? 7'b100_0010 : 
		    (VAL==4'he) ? 7'b011_0000 : 
 		    (VAL==4'hf) ? 7'b011_1000 : 7'h0;
endmodule                      
